package com.vendor.platform.core.internal;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.UnsupportedEncodingException;
import java.math.BigInteger;
import org.eclipse.ui.WorkbenchEncoding;

public class StringConstants {
  public static String encode(String s) {
    BigInteger i;
    try {
      i = new BigInteger(s.getBytes(WorkbenchEncoding.getWorkbenchDefaultEncoding()));
    } catch (UnsupportedEncodingException e) {
      e.printStackTrace();
      return null;
    } 
    return i.toString();
  }
  
  public static String decode(String s) {
    String result;
    BigInteger i = new BigInteger(s);
    String str = i.toString(16);
    if (str.length() % 2 != 0)
      str = "0" + str; 
    byte[] buf = new byte[str.length() / 2];
    for (int k = 0; k < str.length(); k += 2) {
      byte b = (byte)Integer.parseInt(str.substring(k, k + 2), 16);
      buf[k >> 1] = b;
    } 
    try {
      result = new String(buf, WorkbenchEncoding.getWorkbenchDefaultEncoding());
    } catch (UnsupportedEncodingException e) {
      e.printStackTrace();
      return null;
    } 
    return result;
  }
}
